Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

We should update mail gem to 2.7 by the following reasons.

Defect #29442 will be fixed if we update mail gem to >=2.7.0.

Patch #29359 has replaced mime-types to mini_mime but mime-types is still loaded to memory because mail 2.6 uses

mime_types. They switched to mini_mime in mail 2.7.0.

Related issues:

Related to Redmine - Patch #29359: Switch to mini_mime from mime-types Closed

Related to Redmine - Defect #27691: Issue created from mail_handler with desc... Closed

Blocks Redmine - Defect #29442: Vendor-defined characters in ISO-2022-JP emai... Closed

Blocked by Redmine - Defect #29365: MailHandlerTest#test_add_issue_with_local... Closed

Associated revisions

Revision 17595 - 2018-10-15 10:00 - Go MAEDA

Update mail gem (~> 2.7.1) (#29443).

History

#1 - 2018-08-27 13:54 - Go MAEDA

- Blocks Defect #29442: Vendor-defined characters in ISO-2022-JP email subject break issue's subject added

#2 - 2018-08-27 13:54 - Go MAEDA

- Related to Patch #29359: Switch to mini_mime from mime-types added

#3 - 2018-08-27 13:55 - Go MAEDA

- Blocked by Defect #29365: MailHandlerTest#test_add_issue_with_localized_attributes fails with mail gem 2.7.0 added

#4 - 2018-08-27 13:57 - Go MAEDA

- Blocked by Defect #27691: Issue created from mail_handler with description empty from added

#5 - 2018-08-27 13:58 - Go MAEDA

- Target version set to Candidate for next minor release

#6 - 2018-10-06 01:31 - Go MAEDA

I am waiting for the release of mail gem 2.7.1. It should fix #29365 and #27691.

#7 - 2018-10-13 23:00 - Pavel Rosický

mail 2.7.1 was released

https://rubygems.org/gems/mail/versions/2.7.1

#8 - 2018-10-15 10:01 - Go MAEDA

- Subject changed from Update mail gem to 2.7 to Update mail gem (~> 2.7.1)

- Status changed from New to Resolved

- Assignee set to Go MAEDA

2025-05-02 1/2

https://www.redmine.org/issues/29442
https://www.redmine.org/issues/29359
https://www.redmine.org/issues/29365
https://www.redmine.org/issues/27691
https://rubygems.org/gems/mail/versions/2.7.1


- Target version changed from Candidate for next minor release to 4.0.0

- Resolution set to Fixed

Committed.

#9 - 2018-10-15 10:55 - Go MAEDA

- Blocked by deleted (Defect #27691: Issue created from mail_handler with description empty from)

#10 - 2018-10-15 10:55 - Go MAEDA

- Related to Defect #27691: Issue created from mail_handler with description empty from added

#11 - 2018-10-15 11:00 - Go MAEDA

- Status changed from Resolved to Closed

#12 - 2018-10-15 11:03 - Go MAEDA

Pavel Rosický wrote:

mail 2.7.1 was released

https://rubygems.org/gems/mail/versions/2.7.1

 Thank you for letting me know that. I have committed the change.
